Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# Notifications

com.google.android.gms.games.Notifications

## Class Overview

Entry point for notifications functionality.

## Summary

Constants
int | NOTIFICATION_TYPES_ALL | Notification types for any notification.
int | NOTIFICATION_TYPES_MULTIPLAYER | Notification types for multiplayer notifications.
int | NOTIFICATION_TYPE_INVITATION | Notification type for invites to multiplayer games.
int | NOTIFICATION_TYPE_MATCH_UPDATE | Notification type for updates to match information.

Public Methods
abstract void | clear(GoogleApiClient apiClient, int notificationTypes) Clear the notifications of the specified type for the current game and signed-in player.
abstract void | clearAll(GoogleApiClient apiClient) Clear all notifications for the current game and signed-in player.

## Constants

#### public static final int NOTIFICATION_TYPES_ALL

Notification types for any notification.

Constant Value: -1 (0xffffffff)

#### public static final int NOTIFICATION_TYPES_MULTIPLAYER

Notification types for multiplayer notifications.

Constant Value: 3 (0x00000003)

#### public static final int NOTIFICATION_TYPE_INVITATION

Notification type for invites to multiplayer games.

Constant Value: 1 (0x00000001)

#### public static final int NOTIFICATION_TYPE_MATCH_UPDATE

Notification type for updates to match information.

Constant Value: 2 (0x00000002)

## Public Methods

#### public abstract void clear (GoogleApiClient apiClient, int notificationTypes)

Clear the notifications of the specified type for the current game and signed-in player. This should be a mask comprised of values from the constants `NOTIFICATION_TYPE_INVITATION`, `NOTIFICATION_TYPE_MATCH_UPDATE`, `NOTIFICATION_TYPES_MULTIPLAYER`, and `NOTIFICATION_TYPES_ALL`.

Required API: `API`
Required Scopes: `SCOPE_GAMES`

##### Parameters

apiClient | The `GoogleApiClient` to service the call.
notificationTypes | Mask of notification types to clear.

#### public abstract void clearAll (GoogleApiClient apiClient)

Clear all notifications for the current game and signed-in player.

Required API: `API`
Required Scopes: `SCOPE_GAMES`

##### Parameters

apiClient | The `GoogleApiClient` to service the call.